org.eclipse.wst.jsdt.chromium.debug.ui

## Interface DialogUtils.OptionalSwitcher<T>

All Superinterfaces:
  DialogUtils.SwitchBase<T>

Enclosing class:
  DialogUtils

    public static interface DialogUtils.OptionalSwitcher<T>
    extends DialogUtils.SwitchBase<T>

A switcher that is operated by optional expression.

### Method Summary

All Methods Instance Methods Abstract Methods

`<P> DialogUtils.ValueSource<? extends DialogUtils.Optional<? extends P>>`

`createOptionalMerge(DialogUtils.ValueSource<? extends DialogUtils.Optional<? extends P>>... sources)`
See javadoc for `DialogUtils.Switcher.createMerge(org.eclipse.wst.jsdt.chromium.debug.ui.DialogUtils.ValueSource<? extends P>...)`; the difference of this method is that all sources have optional type and the merge source itself of optional type.

### Methods inherited from interface org.eclipse.wst.jsdt.chromium.debug.ui.DialogUtils.SwitchBase

`addScope, getOuterScope, getUpdater, getValueConsumer`

### Method Detail

#### createOptionalMerge

    <P> DialogUtils.ValueSource<? extends DialogUtils.Optional<? extends P>> createOptionalMerge(DialogUtils.ValueSource<? extends DialogUtils.Optional<? extends P>>... sources)

See javadoc for `DialogUtils.Switcher.createMerge(org.eclipse.wst.jsdt.chromium.debug.ui.DialogUtils.ValueSource<? extends P>...)`; the difference of this method is that all sources have optional type and the merge source itself of optional type. The switcher expression may have error value, in this case the merger also returns this error value.